section, article, aside {
    background: gainsboro;
}

div:before,
nav:before,
aside:before,
header:before,
footer:before,
section:before,
article:before {
    text-align: center;
    position: relative;
    left: 0;
    top: 0;
    width: 60px;
    height: 20px;
    z-index: 10000;
    opacity: 0.7;
    font-size: 18px;
}

div {
    border: 4px solid crimson;
}

div:before {
    content: 'div';
    background: crimson;
}

section {
    border: 4px solid cadetblue;
}

section:before {
    content: 'section';
    background: cadetblue;
}

nav {
    border: 4px solid plum;
}

nav:before {
    content: 'nav';
    background: plum;
}

article {
    border: 4px solid blueviolet;
}

article:before {
    content: 'article';
    background: blueviolet;
}

aside {
    border: 4px solid yellowgreen;
}

aside:before {
    content: 'aside';
    background: yellowgreen;
}

header {
    background: beige;
    border: 4px solid sandybrown;
}

header:before {
    content: 'header';
    background: sandybrown;
}

footer {
    background: lightblue;
    border: 4px solid dodgerblue;
}

footer:before {
    content: 'footer';
    background: dodgerblue;
}

main {
    border: 4px solid black;
}

main:before {
    content: 'main';
    background: black;
    color: white;
}
